Skip to main content
POST
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
details
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>"
}
'
{
  "membership": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "user": {
      "username": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "isEmailVerified": false,
      "firstName": "<string>",
      "lastName": "<string>",
      "authMethods": [
        "<string>"
      ],
      "publicKey": "<string>"
    },
    "roles": [
      {
        "id": "<string>",
        "role": "<string>",
        "isTemporary": true,
        "customRoleId": "<string>",
        "customRoleName": "<string>",
        "customRoleSlug": "<string>",
        "temporaryMode": "<string>",
        "temporaryRange": "<string>",
        "temporaryAccessStartTime": "2023-11-07T05:31:56Z",
        "temporaryAccessEndTime": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to get memberships from.

Minimum string length: 1

Body

application/json
username
string
required

The username to get project membership of. Email is the default username.

Minimum string length: 1

Response

Default Response

membership
object
required